Container Security Release 1.45 API
August 25, 2026
Before understanding the API release highlights, refer to the Know Your Qualys API Server URL section to learn about the API server URL used in your API requests.
For these API Release Notes, we use <qualys_base_url> in the sample API requests.
Container Security Release 1.45 API introduces reporting enhancements, improved visibility into registry schedules, and expanded support for serverless functions. In the Container Security 1.45 release, we have updated the following CS APIs.
- Enhancement in Reports
- Enhancement in Registry Repository Refresh
- New Support for AWS Fargate Serverless Workloads in QLP
- Enhancements Serverless Function (AWS Lambda Scan)
Enhancement in Reports
This release updates report templates to improve CSV export content and support additional reporting data.
KSPM Compliance Report
With this release, the Kubernetes Security Posture Management (KSPM) compliance report (CS_KUBERNETES_POSTURE template) adds CIS Recommendation and Rationale fields, updates CSV column names for clarity, and enhances report context to support faster compliance analysis and remediation.
To improve report readability, the following column names are updated in the downloaded CSV report:
- REMEDIATION PATH is now REMEDIATION PATH (FIX PATHS)
- EVIDENCE is now EVIDENCE (FAILED PATHS)
These enhancements help provide additional context for compliance findings and streamline investigation and remediation workflows.
To support this, the following APIs are updated with the new report fields.
- Fetch a List of Reports
GET /csapi/v1.3/reports - Create a Report Request
POST /csapi/v1.3/reports - Create a Report Schedule
POST /csapi/v1.3/reports/schedule - Update an Active Report Schedule
PUT /csapi/v1.3/reports/schedule/{reportScheduleId}
Updated API: Fetch a List of Reports
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports |
| Method | GET |
| DTD XSD Changes | No |
Sample: Fetch a List of Reports Using CS_KUBERNETES_POSTURESample: Fetch a List of Reports Using CS_KUBERNETES_POSTURE
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/reports?filter=report.name%3Atest_comp1&pageNumber=1&pageSize=50&sort=status%3Adesc' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response
{
"data": [
{
"reportUuid": "eadd0e40-8403-11f1-b06c-4bb561755fb7",
"createdAt": "2026-07-20T06:26:18.000Z",
"reportName": "test_comp1",
"fileFormat": "csv",
"templateName": "CS_KUBERNETES_POSTURE",
"status": "COMPLETED",
"filter": "container.cluster.name:`CONTAINERD-SELF-managed-10-82-62-171`",
"displayColumns": [
"cid", "controlName", "controlCriticality", "resourceType", "resourceName",
"status", "clusterName", "version", "evidence", "remediationPath",
"remediation", "firstScanned", "lastScanned",
"cisRecommendation", "rationale"
],
"expireOn": "2026-07-27T06:26:18.000Z",
"fileZipped": 1,
"expireAfter": 7,
"includeScaVuln": true
}
],
"count": 1
}
Updated API: Create a Report Request
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports |
| Method | POST |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| cisRecommendation | Optional | string | Mention a new displayColumns value for the CS_KUBERNETES_POSTURE template. Returns the CIS benchmark recommendation mapped to the control. |
| rationale | Optional | string | Mention a new displayColumns value for the CS_KUBERNETES_POSTURE template. Returns the reasoning behind the control. |
Sample: Create a Report Request Using CS_KUBERNETES_POSTURESample: Create a Report Request Using CS_KUBERNETES_POSTURE
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "compliance_API4",
"description": "test",
"templateName": "CS_KUBERNETES_POSTURE",
"filter": null,
"timezone": "Asia/Calcutta",
"format": "csv",
"reportScheduleDetails": null,
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"cid", "cisRecommendation", "controlCriticality", "rationale",
"resourceName", "status", "evidence", "remediationPath"
],
"zip": 1,
"emailNotification": 0
}'
API Response
{
"reportUuid": "ba6f1cd0-84e4-11f1-b06c-4bb561755fb7"
}
Updated API: Create a Report Schedule
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports/schedule |
| Method | POST |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| cisRecommendation | Optional | string | Mention a new displayColumns value for the CS_KUBERNETES_POSTURE template. Returns the CIS benchmark recommendation mapped to the control. |
| rationale | Optional | string | Mention a new displayColumns value for the CS_KUBERNETES_POSTURE template. Returns the reasoning behind the control. |
Sample: Create a Report Schedule Using CS_KUBERNETES_POSTURESample: Create a Report Schedule Using CS_KUBERNETES_POSTURE
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports/schedule' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "compliance_api_schedule2",
"templateName": "CS_KUBERNETES_POSTURE",
"filter": null,
"timezone": "Universal",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"ordinalDayOfMonth": 1
},
"expireAfter": 7,
"displayColumns": [
"cid", "cisRecommendation", "controlCriticality", "rationale",
"resourceName", "status", "evidence", "remediationPath"
],
"zip": 0,
"emailNotification": 0,
"eventEndTime": "2026-07-22T15:54:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T14:54:00Z"
}'
API Response
{
"scheduleUuid": "4b077340-84e6-11f1-b06c-4bb561755fb7"
}
Updated API: Update an Active Report Schedule
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports/schedule/{reportScheduleId} |
| Method | PUT |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| reportingScheduleId | Required | string | Specify UUID of the Scheduled Report that you want to update. |
Sample: Update an Active Report Schedule Using CS_KUBERNETES_POSTURESample: Update an Active Report Schedule Using CS_KUBERNETES_POSTURE
API Request
curl -X 'PUT' \
'<qualys_base_url>/csapi/v1.3/reports/schedule/4b077340-84e6-11f1-b06c-4bb561755fb7' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "compliance_api_schedule2",
"templateName": "CS_KUBERNETES_POSTURE",
"timezone": "Universal",
"format": "csv",
"reportScheduleDetails": { "recurrenceType": "DAILY", "ordinalDayOfMonth": 1 },
"expireAfter": 7,
"displayColumns": [
"cid", "cisRecommendation", "controlCriticality", "rationale",
"resourceName", "evidence", "remediationPath"
],
"zip": 0,
"emailNotification": 0,
"eventEndTime": "2026-07-22T15:54:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T14:54:00Z"
}'
API Response
{
"message": "Details updated successfully for reportScheduleId 4b077340-84e6-11f1-b06c-4bb561755fb7"
}
Image Vulnerability, Container Vulnerability, and Vulnerability Reports
You can now view the Published Date of vulnerabilities in CSV reports. The Image Vulnerability, Container Vulnerability, and Vulnerability report templates include the Published Date field in CSV output. This field shows the publication date of the associated QID. Use this information to get additional vulnerability context directly in your reports.
To support this, the following APIs are updated with the new report fields:
- Fetch a List of Reports
GET /csapi/v1.3/reports - Create a Report Request
POST /csapi/v1.3/reports - Create a Report Schedule
POST /csapi/v1.3/reports/schedule - Update an Active Report Schedule
PUT /csapi/v1.3/reports/schedule/{reportScheduleId}
Updated API: Fetch a List of Reports
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports |
| Method | GET |
| DTD XSD Changes | No |
Sample: Fetch a List of Reports Using CS_IMAGE_VULNERABILITYSample: Fetch a List of Reports Using CS_IMAGE_VULNERABILITY
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/reports?filter=report.name%3Aimage_vul_pub_date&pageNumber=1&pageSize=50&sort=status%3Adesc' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response
{
"data": [
{
"reportUuid": "e0128170-8408-11f1-b06c-4bb561755fb7",
"createdAt": "2026-07-20T07:01:47.000Z",
"reportName": "image_vul_pub_date",
"description": "test",
"fileFormat": "csv",
"templateName": "CS_IMAGE_VULNERABILITY",
"status": "COMPLETED",
"isScheduled": 0,
"filter": "malware.imageMalwareCount > 0",
"displayColumns": [
"imageId",
"tags",
"qid",
"published"
],
"expireOn": "2026-07-27T07:01:47.000Z",
"emailNotification": 0,
"recipient": "",
"emailSubject": "",
"customMessage": "",
"sendAsAttachment": 0,
"fileZipped": 1,
"expireAfter": 7,
"includeScaVuln": true
}
],
"count": 1
}
Sample: Fetch a List of Reports Using CS_CONTAINER_VULNERABILITYSample: Fetch a List of Reports Using CS_CONTAINER_VULNERABILITY
API Request Body
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/reports?filter=report.name%3Acontainer_vul_pub_date_runnow&pageNumber=1&pageSize=50&sort=status%3Adesc' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>
API Response
{
"data": [
{
"reportUuid": "73d47570-84fa-11f1-bad2-e543b192ad2e",
"createdAt": "2026-07-21T11:51:04.000Z",
"reportName": "container_vul_pub_date_runnow",
"description": "test",
"fileFormat": "csv",
"templateName": "CS_CONTAINER_VULNERABILITY",
"status": "COMPLETED",
"isScheduled": 0,
"filter": "vulnerabilities.severity:`1`",
"displayColumns": [
"containerId",
"qid",
"published",
"cloudAccount"
],
"expireOn": "2026-07-28T11:51:04.000Z",
"emailNotification": 0,
"recipient": "",
"emailSubject": "",
"customMessage": "",
"sendAsAttachment": 0,
"fileZipped": 1,
"expireAfter": 7,
"includeScaVuln": true
}
],
"count": 1
}
Sample: Fetch a List of Reports Using CS_VULNERABILITYSample: Fetch a List of Reports Using CS_VULNERABILITY
API Request Body
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/reports?filter=report.name%3Atest_vulnerability_pub_date_API1&pageNumber=1&pageSize=50&sort=status%3Adesc' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>
API Response
{
"data": [
{
"reportUuid": "d164f490-84fe-11f1-b06c-4bb561755fb7",
"createdAt": "2026-07-21T12:22:19.000Z",
"reportName": "test_vulnerability_pub_date_API1",
"description": "test",
"fileFormat": "csv",
"templateName": "CS_VULNERABILITY",
"status": "COMPLETED",
"isScheduled": 0,
"filter": "{\"filter\":\"\",\"secondFilter\":\"\"}",
"displayColumns": [
"sha",
"qid",
"published",
"layers",
"assetId"
],
"expireOn": "2026-07-28T12:22:19.000Z",
"emailNotification": 0,
"recipient": "",
"emailSubject": "",
"customMessage": "",
"sendAsAttachment": 0,
"fileZipped": 0,
"expireAfter": 7,
"includeScaVuln": true
}
],
"count": 1
}
Updated API: Create a Report Request
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports |
| Method | POST |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| published | Optional | string | Mention the templateName value that returns the published date of the QID. This is supported for the following templates:
|
Sample: Create a Report Request Using CS_IMAGE_VULNERABILITYSample: Create a Report Request Using CS_IMAGE_VULNERABILITY
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "image_vul_pub_date_API1",
"description": "test",
"templateName": "CS_IMAGE_VULNERABILITY",
"filter": "malware.imageMalwareCount > 0",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": null,
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"imageId",
"tags",
"qid",
"published"
],
"zip": 1,
"emailNotification": 0
}'
API Response
{
"reportUuid": "87daf110-84f6-11f1-bad2-e543b192ad2e"
}
Sample: Create a Report Request Using CS_CONTAINER_VULNERABILITYSample: Create a Report Request Using CS_CONTAINER_VULNERABILITY
API Request Body
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "container_vul_pub_date_API1",
"description": "test",
"templateName": "CS_CONTAINER_VULNERABILITY",
"filter": "vulnerabilities.severity:`1`",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": null,
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"containerId",
"qid",
"published",
"cloudAccount"
],
"zip": 1,
"emailNotification": 0
}'
API Response
{
"reportUuid": "10ead840-84fb-11f1-bad2-e543b192ad2e"
}
Sample: Create a Report Request Using CS_VULNERABILITYSample: Create a Report Request Using CS_VULNERABILITY
API Request Body
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "test_vulnerability_pub_date_API1",
"description": "test",
"templateName": "CS_VULNERABILITY",
"filter": "{\"filter\":\"\",\"secondFilter\":\"\"}",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": null,
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"sha",
"qid",
"published",
"layers"
],
"zip": 0,
"emailNotification": 0
}'
API Response
{
"reportUuid": "d164f490-84fe-11f1-b06c-4bb561755fb7"
}
Updated API: Create a Report Schedule
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports/schedule |
| Method | POST |
| DTD XSD Changes | No |
Sample: Create a Report Schedule Using CS_IMAGE_VULNERABILITYSample: Create a Report Schedule Using CS_IMAGE_VULNERABILITY
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports/schedule' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "image_vul_pub_date_API_schedule1",
"description": "test",
"templateName": "CS_IMAGE_VULNERABILITY",
"filter": "malware.imageMalwareCount > 0",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"selectedDayOfWeeks": null,
"monthlyType": null,
"ordinalDayOfMonth": 1,
"dayOfWeek": null,
"ordinalDayOfWeek": null
},
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"imageId",
"tags",
"qid",
"published"
],
"zip": 1,
"emailNotification": 0,
"eventEndTime": "2026-07-22T17:59:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T16:59:00Z"
}'
API Response
{
"scheduleUuid": "05e0cb10-84f8-11f1-bad2-e543b192ad2e"
}
Sample: Create a Report Schedule Using CS_CONTAINER_VULNERABILITYSample: Create a Report Schedule Using CS_CONTAINER_VULNERABILITY
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports/schedule' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "container_vul_pub_date_API_sch1",
"description": "test",
"templateName": "CS_CONTAINER_VULNERABILITY",
"filter": "vulnerabilities.severity:`1`",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"selectedDayOfWeeks": null,
"monthlyType": null,
"ordinalDayOfMonth": 1,
"dayOfWeek": null,
"ordinalDayOfWeek": null
},
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"containerId",
"qid",
"published",
"cloudAccount"
],
"zip": 1,
"emailNotification": 0,
"eventEndTime": "2026-07-22T18:38:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T17:38:00Z"
}'
API Response
{
"scheduleUuid": "24563da0-84fd-11f1-bad2-e543b192ad2e"
}
Sample: Create a Report Schedule Using CS_VULNERABILITYSample: Create a Report Schedule Using CS_VULNERABILITY
API Request
curl -X 'POST' \
'<qualys_base_url>/csapi/v1.3/reports/schedule' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>\
-H 'Content-Type: application/json' \
-d '{
"name": "test_vulnerability_pub_date_API_sch1",
"description": "test",
"templateName": "CS_VULNERABILITY",
"filter": "{\"filter\":\"\",\"secondFilter\":\"\"}",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"selectedDayOfWeeks": null,
"monthlyType": null,
"ordinalDayOfMonth": 1,
"dayOfWeek": null,
"ordinalDayOfWeek": null
},
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"sha",
"qid",
"published",
"layers"
],
"zip": 0,
"emailNotification": 0,
"eventEndTime": "2026-07-22T19:00:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T18:00:00Z"
}'
API Response
{
"scheduleUuid": "36c3eca0-8500-11f1-bad2-e543b192ad2e"
}
Updated API: Update an Active Report Schedule
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/reports/schedule/{reportingScheduleId} |
| Method | PUT |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| reportingScheduleId | Required | string | Specify UUID of the Scheduled Report that you want to update. |
Sample: Update an Active Report Schedule Using CS_IMAGE_VULNERABILITYSample: Update an Active Report Schedule Using CS_IMAGE_VULNERABILITY
API Request
curl -X 'POST' \curl -X 'PUT' \
'<qualys_base_url>/csapi/v1.3/reports/schedule/05e0cb10-84f8-11f1-bad2-e543b192ad2e' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "image_vul_pub_date_API_schedule1",
"description": "test",
"templateName": "CS_IMAGE_VULNERABILITY",
"filter": "malware.imageMalwareCount > 0",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"selectedDayOfWeeks": null,
"monthlyType": null,
"ordinalDayOfMonth": 1,
"dayOfWeek": null,
"ordinalDayOfWeek": null
},
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"imageId",
"tags",
"qid",
"published"
],
"zip": 1,
"emailNotification": 0,
"eventEndTime": "2026-07-22T17:59:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T16:59:00Z"
}'
API Response
{
"message": "Details updated successfully for reportScheduleId 05e0cb10-84f8-11f1-bad2-e543b192ad2e"
}
Sample: Update and Active Report Schedule Using CS_CONTAINER_VULNERABILITYSample: Update and Active Report Schedule Using CS_CONTAINER_VULNERABILITY
API Request Body
curl -X 'PUT' \
'<qualys_base_url>/csapi/v1.3/reports/schedule/24563da0-84fd-11f1-bad2-e543b192ad2e' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "container_vul_pub_date_API_sch1",
"description": "test",
"templateName": "CS_CONTAINER_VULNERABILITY",
"filter": "vulnerabilities.severity:`1`",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"selectedDayOfWeeks": null,
"monthlyType": null,
"ordinalDayOfMonth": 1,
"dayOfWeek": null,
"ordinalDayOfWeek": null
},
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"containerId",
"qid",
"published"
],
"zip": 1,
"emailNotification": 0,
"eventEndTime": "2026-07-22T18:38:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T17:38:00Z"
}'
API Response
{
"message": "Details updated successfully for reportScheduleId 24563da0-84fd-11f1-bad2-e543b192ad2e"
}
Sample: Update an Active Report Schedule Using CS_VULNERABILITYSample: Update an Active Report Schedule Using CS_VULNERABILITY
API Request Body
curl -X 'PUT' \
'<qualys_base_url>/csapi/v1.3/reports/schedule/36c3eca0-8500-11f1-bad2-e543b192ad2e' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "test_vulnerability_pub_date_API_sch1",
"description": "test",
"templateName": "CS_VULNERABILITY",
"filter": "{\"filter\":\"\",\"secondFilter\":\"\"}",
"timezone": "Asia/Kolkata",
"format": "csv",
"reportScheduleDetails": {
"recurrenceType": "DAILY",
"selectedDayOfWeeks": null,
"monthlyType": null,
"ordinalDayOfMonth": 1,
"dayOfWeek": null,
"ordinalDayOfWeek": null
},
"expireAfter": 7,
"secondFilter": "",
"displayColumns": [
"sha",
"qid",
"published"
],
"zip": 0,
"emailNotification": 0,
"eventEndTime": "2026-07-22T19:00:00Z",
"action": "CREATE",
"eventTime": "2026-07-21T18:00:00Z"
}'
API Response
{
"message": "Details updated successfully for reportScheduleId 36c3eca0-8500-11f1-bad2-e543b192ad2e"
}
Enhancement in Registry Repository Refresh
The registry schedule list API now includes a new scheduleType field, making it easier to identify the purpose of each schedule. You can use this field to distinguish repository refresh schedules from standard registry scan schedules.
For repository refresh schedules, the API returns scheduleType: "REPO_REFRESH". This enhancement helps you more easily filter and manage different schedule types in your environment.
To support this, the following API is introduced:
Fetch a List of Schedules Created for a Registry
/csapi/v1.3/registry/{registryId}/schedule
Updated API: Fetch a List of Schedules Created for a Registry
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/registry/{registryId}/schedule |
| Method | GET |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| registryId |
Required | string | Provide the registry ID for which you want to list the schedules. |
Sample: Fetch a List of Schedules Created for a RegistrySample: Fetch a List of Schedules Created for a Registry
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/registry/e5e5e269-c47b-45d5-832b-02d5076c0d87/schedule/list?filter=scheduleType%3A%27REPO_REFRESH%27&limit=50' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response
{
"data": [
{
"scheduleUuid": "e2b33a4a-276b-46cd-a415-195b74be1d70",
"onDemand": true,
"created": "1784122498991",
"updated": "1784122553877",
"jobStartDate": "1784122553877",
"jobCompletionDate": "1784122662901",
"name": "Repo Refresh",
"errors": null,
"schedule": null,
"filters": null,
"additionalFilters": null,
"status": "Finished",
"jobListingStartDate": "1784122553877",
"jobListingCompletionDate": "1784122662867",
"jobScanningStartDate": null,
"jobScanningCompletionDate": "1784122662901",
"forceScan": false,
"scheduleIntervalInDays": 7,
"weekDay": null,
"orgName": null,
"scheduleType": "REPO_REFRESH"
},
{
"scheduleUuid": "08481a7c-7a69-49e9-9877-abbe1e9a1872",
"onDemand": true,
"created": "1784123170298",
"updated": "1784123174550",
"jobStartDate": "1784123174550",
"jobCompletionDate": "1784123289647",
"name": "Repo Refresh",
"errors": null,
"schedule": null,
"filters": null,
"additionalFilters": null,
"status": "Finished",
"jobListingStartDate": "1784123174550",
"jobListingCompletionDate": "1784123289611",
"jobScanningStartDate": null,
"jobScanningCompletionDate": "1784123289647",
"forceScan": false,
"scheduleIntervalInDays": 7,
"weekDay": null,
"orgName": null,
"scheduleType": "REPO_REFRESH"
},
{
"scheduleUuid": "072ceb20-bbdc-4aaa-8df9-ea12bee66c3c",
"onDemand": true,
"created": "1784190412935",
"updated": "1784190433118",
"jobStartDate": "1784190433118",
"jobCompletionDate": "1784190567040",
"name": "Repo Refresh",
"errors": null,
"schedule": null,
"filters": null,
"additionalFilters": null,
"status": "Finished",
"jobListingStartDate": "1784190433118",
"jobListingCompletionDate": "1784190567000",
"jobScanningStartDate": null,
"jobScanningCompletionDate": "1784190567040",
"forceScan": false,
"scheduleIntervalInDays": 7,
"weekDay": null,
"orgName": null,
"scheduleType": "REPO_REFRESH"
},
{
"scheduleUuid": "1511bd90-2388-48e4-b707-2dafaa0e7762",
"onDemand": true,
"created": "1784527003934",
"updated": "1784527166511",
"jobStartDate": "1784527166511",
"jobCompletionDate": "1784527194373",
"name": "Repo Refresh",
"errors": null,
"schedule": null,
"filters": null,
"additionalFilters": null,
"status": "Finished",
"jobListingStartDate": "1784527166511",
"jobListingCompletionDate": "1784527194334",
"jobScanningStartDate": null,
"jobScanningCompletionDate": "1784527194373",
"forceScan": false,
"scheduleIntervalInDays": 7,
"weekDay": null,
"orgName": null,
"scheduleType": "REPO_REFRESH"
},
{
"scheduleUuid": "53968027-263c-41c1-8be7-96186cda1e69",
"onDemand": true,
"created": "1784528293275",
"updated": "1784531507452",
"jobStartDate": "1784531507452",
"jobCompletionDate": "1784531630031",
"name": "Repo Refresh",
"errors": null,
"schedule": null,
"filters": null,
"additionalFilters": null,
"status": "Finished",
"jobListingStartDate": "1784531507452",
"jobListingCompletionDate": "1784531629989",
"jobScanningStartDate": null,
"jobScanningCompletionDate": "1784531630031",
"forceScan": false,
"scheduleIntervalInDays": 7,
"weekDay": null,
"orgName": null,
"scheduleType": "REPO_REFRESH"
}
],
"limit": 50
}
New Support for AWS Fargate Serverless Workloads in QLP
Qualys Container Security now discovers and scans AWS Fargate serverless workloads through the Qualys Locator Path (QLP) APIs. You can gain visibility into containers running in Fargate environments. Workload records include AWS ECS identifiers, such as cluster IDs, task IDs, and workload IDs, to help you track and manage workloads.
You can also verify the propagation of vulnerability data for QLP assets. The QLP details response includes the isVulnPropagated and vulnPropagationDate fields. Use these fields to determine whether vulnerability data has propagated to a Fargate workload and when the propagation occurred. This visibility helps you validate vulnerability coverage across your serverless container workloads.
To support this, the following APIs are introduced.
- Fetch a List of QLP Entries
GET /csapi/v1.3/qlp - Fetch Details of a QLP Entry
GET /csapi/v1.3/qlp/{uuid} - Fetch Software Details of a QLP Entry
GET /csapi/v1.3/qlp/{uuid}/software - Fetch Vulnerability Stats of a QLP Entry
GET /csapi/v1.3/qlp/{uuid}/vuln/stats - Fetch a List of QLP Entries in Bulk
GET /csapi/v1.3/qlp/list
New API: Fetch a List of QLP Entries
| New or Updated APIs | New |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/qlp |
| Method | GET |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| pageNumber |
Required | integer |
Mention the page to be returned. |
| pageSize |
Required | integer | Specify the number of records per page to include in the response. |
| source | Optional | string | Indicates the source of the QLP entry. A new value is added for containers running on AWS Fargate serverless workloads: SERVERLESS_FARGATE |
Sample: Fetch a List of QLP EntriesSample: Fetch a List of QLP Entries
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/qlp?pageNumber=1&pageSize=50' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response (Truncated)
{
"data": [
{
"uuid": "05b96322-355b-3e32-b1d6-875xxxxf332",
"imageDigest": "baa84290a5689xxxxxxxxxxxxxxxxxxx1e4ab4a3d9bbeaf231650c97f59e90b61b0d4",
"qlpName": "aws://SERVERLESS_FARGATE/us-west-2/362990800442/test-explore/arn:aws:ecs:us-west-2:362990800442:service/test-explore/load-test-svc-21/btestnswfixwithtag:2/sha256:baa84290a56890c6cd4a78109c01e4ab4a3d9bbeaf231650c97f59e90b61b0d4/amd64",
"accountId": "362990800442",
"region": "us-west-2",
"clusterName": "test-explore",
"clusterIdentifier": "arn:aws:ecs:us-west-2:362990800442:cluster/prachi-explore",
"workloadId": "btestnswfixwithtag:2",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "ecstask-container-with-tag",
"taskArn": "arn:aws:ecs:us-west-2:362990800442:task/prachi-explore/a1b09162894445bcbdc6aebca48b5c9d",
"imageName": "362990800442.dkr.ecr.us-west-2.amazonaws.com/mynginx/mynginx-service:latest",
"imageSha": "1e49ae13705e141874d681dc7eac39xxxxxxxxxc30a606951ed4bc50",
"imageUuid": "485f89fa-8eea-3d93-83ac-7d046bdd3b1a",
"imageId": "1e49ae13705e",
"command": null,
"lifetimeMetrics": {
"minDaily": 49,
"maxDaily": 49,
"avgDaily": 49
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 49,
"maxDaily": 49,
"avgDaily": 49
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 4,
"firstSeen": "1784815016840",
"lastUpdated": "1784851529523",
"lastScanned": "1784815016841",
"scanTypes": [
"DYNAMIC",
"SCA"
],
"operatingSystem": "linux",
"qdsSeverity": "MEDIUM",
"riskScore": 76,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": 0,
"severity4Count": 2,
"severity3Count": 0,
"severity2Count": 2,
"severity1Count": 0
}
},
{
"uuid": "05d2f262-0cd2-3677-be30-1d4d68aa4b26",
"imageDigest": "baa84290a56890cxxxxxxxxxxxxxa3d9bbeaf231650c97f59e90b61b0d4",
"qlpName": "aws://SERVERLESS_FARGATE/us-west-2/362990800442/prachi-explore/arn:aws:ecs:us-west-2:362990800442:service/test-explore/load-test-svc-28/btestnswfixwithtag:2/sha256:baa84290a56890c6cd4a78109c01e4ab4a3d9bbeaf231650c97f59e90b61b0d4/amd64",
"accountId": "362990800442",
"region": "us-west-2",
"clusterName": "test-explore",
"clusterIdentifier": "arn:aws:ecs:us-west-2:362990800442:cluster/test-explore",
"workloadId": "btestnswfixwithtag:2",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "ecstask-container-with-tag",
"taskArn": "arn:aws:ecs:us-west-2:362990800442:task/test-explore/6319d6f893454eeca007ef4e225f4f45",
"imageName": "362990800442.dkr.ecr.us-west-2.amazonaws.com/mynginx/mynginx-service:latest",
"imageSha": "1e49ae13705e141874d681dc7eac393ad76b97097a9a1a0c30a606951ed4bc50",
"imageUuid": "485f89fa-8eea-3d93-83ac-7d046bdd3b1a",
"imageId": "1e49ae13705e",
"command": null,
"lifetimeMetrics": {
"minDaily": 54,
"maxDaily": 54,
"avgDaily": 54
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 54,
"maxDaily": 54,
"avgDaily": 54
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 4,
"firstSeen": "1784815016640",
"lastUpdated": "1784851529524",
"lastScanned": "1784815016640",
"scanTypes": [
"DYNAMIC",
"SCA"
],
"operatingSystem": "linux",
"qdsSeverity": "MEDIUM",
"riskScore": 76,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": 0,
"severity4Count": 2,
"severity3Count": 0,
"severity2Count": 2,
"severity1Count": 0
}
},
{
"uuid": "1e455df6-29bf-3360-aa5c-4a0daea61205",
"imageDigest": "f742a1f1261553d61541c5df5730140f7ef995de764c3b4ba5d64bbb35f58d94",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/682437954104/fargate-runtime-e2e-test/e2e-teste2e-signalforwarding-amd64:3/sha256:f742a1f1261553d61541c5df5730140f7ef995de764c3b4ba5d64bbb35f58d94/amd64",
"accountId": "682437954104",
"region": "us-east-1",
"clusterName": "fargate-runtime-e2e-test",
"clusterIdentifier": "arn:aws:ecs:us-east-1:682437954104:cluster/fargate-runtime-e2e-test",
"workloadId": "e2e-teste2e-signalforwarding-amd64:3",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "wrapper-provider",
"taskArn": "arn:aws:ecs:us-east-1:682437954104:task/fargate-runtime-e2e-test/c49ceac0cb4947239259f4686df4b5a2",
"imageName": "682437954104.dkr.ecr.us-east-1.amazonaws.com/sensor-wrapper-provider:e2e-20260721-194553-amd64",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 3,
"maxDaily": 3,
"avgDaily": 3
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 3,
"maxDaily": 3,
"avgDaily": 3
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784663677616",
"lastUpdated": "1784851529594",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": null,
"severity4Count": null,
"severity3Count": null,
"severity2Count": null,
"severity1Count": null
}
},
{
"uuid": "1eaaf510-f9ad-3372-a308-a791b6924fab",
"imageDigest": "af9114ac13e5716f8d589c6459e9d9c664b5a233f3929b34c39332a43b5e8720",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/362990800442/ecs-exec-demo-cluster/arn:aws:ecs:us-east-1:362990800442:service/ecs-exec-demo-cluster/exec-demo/ecs-exec-demo:13/sha256:af9114ac13e5716f8d589c6459e9d9c664b5a233f3929b34c39332a43b5e8720/amd64",
"accountId": "362990800442",
"region": "us-east-1",
"clusterName": "ecs-exec-demo-cluster",
"clusterIdentifier": "arn:aws:ecs:us-east-1:362990800442:cluster/ecs-exec-demo-cluster",
"workloadId": "ecs-exec-demo:13",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "scanner",
"taskArn": "arn:aws:ecs:us-east-1:362990800442:task/ecs-exec-demo-cluster/74d0e414fc9d4db3ade4c8007727a387",
"imageName": "public.ecr.aws/y4h7m2t8/ecrscanner:1.0",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 451,
"maxDaily": 451,
"avgDaily": 451
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 451,
"maxDaily": 451,
"avgDaily": 451
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784815016459",
"lastUpdated": "1784851529655",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": [
"aws:ecs:clusterName:ecs-exec-demo-cluster",
"aws:ecs:serviceName:exec-demo"
],
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": null,
"severity4Count": null,
"severity3Count": null,
"severity2Count": null,
"severity1Count": null
}
},
{
"uuid": "44bb4db6-0061-328b-bdf5-609d9be63788",
"imageDigest": "f742a1f1261553d61541c5df5730140f7ef995de764c3b4ba5d64bbb35f58d94",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/682437954104/fargate-runtime-e2e-test/e2e-teste2e-realdomain-sendto-amd64:3/sha256:f742a1f1261553d61541c5df5730140f7ef995de764c3b4ba5d64bbb35f58d94/amd64",
"accountId": "682437954104",
"region": "us-east-1",
"clusterName": "fargate-runtime-e2e-test",
"clusterIdentifier": "arn:aws:ecs:us-east-1:682437954104:cluster/fargate-runtime-e2e-test",
"workloadId": "e2e-teste2e-realdomain-sendto-amd64:3",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "wrapper-provider",
"taskArn": "arn:aws:ecs:us-east-1:682437954104:task/fargate-runtime-e2e-test/fda1bf422bea4cd3b3b3b4dc44516188",
"imageName": "682437954104.dkr.ecr.us-east-1.amazonaws.com/sensor-wrapper-provider:e2e-20260721-194553-amd64",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 2,
"maxDaily": 2,
"avgDaily": 2
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 2,
"maxDaily": 2,
"avgDaily": 2
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784663475896",
"lastUpdated": "1784851529719",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": null,
"severity4Count": null,
"severity3Count": null,
"severity2Count": null,
"severity1Count": null
}
},
{
"uuid": "3ca3bc2a-523e-3a9e-a004-3cf82af5bd8e",
"imageDigest": "fd8d9aa63ba2f0982b5304e1ee8d3b90a210bc1ffb5314d980eb6962f1a9715d",
"qlpName": "aws://SERVERLESS_FARGATE/us-west-2/682437954104/co-bs-mc2-cb33052d/co-bs-mc2-cb33052d:1/sha256:fd8d9aa63ba2f0982b5304e1ee8d3b90a210bc1ffb5314d980eb6962f1a9715d/amd64",
"accountId": "682437954104",
"region": "us-west-2",
"clusterName": "co-bs-mc2-cb33052d",
"clusterIdentifier": "arn:aws:ecs:us-west-2:682437954104:cluster/co-bs-mc2-cb33052d",
"workloadId": "co-bs-mc2-cb33052d:1",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "app",
"taskArn": "arn:aws:ecs:us-west-2:682437954104:task/co-bs-mc2-cb33052d/59541e244d0a4070af77cfde3009891e",
"imageName": "public.ecr.aws/docker/library/busybox:latest",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 3,
"maxDaily": 3,
"avgDaily": 3
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 3,
"maxDaily": 3,
"avgDaily": 3
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784533844303",
"lastUpdated": "1784851529775",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": null,
"severity4Count": null,
"severity3Count": null,
"severity2Count": null,
"severity1Count": null
}
},
{
"uuid": "159c7554-372a-3950-81c7-dfff42ff974c",
"imageDigest": "0d4bdc5749b80631a069957de99b0fa20201e38380ce90cc68786894231e429d",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/362990800442/Surabhi/Valerion-TD:1/sha256:0d4bdc5749b80631a069957de99b0fa20201e38380ce90cc68786894231e429d/amd64",
"accountId": "362990800442",
"region": "us-east-1",
"clusterName": "Surabhi",
"clusterIdentifier": "arn:aws:ecs:us-east-1:362990800442:cluster/Surabhi",
"workloadId": "Valerion-TD:1",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "tesseract-2",
"taskArn": "service:Valerion-TD-service-zht6pgml",
"imageName": "362990800442.dkr.ecr.us-east-1.amazonaws.com/sensor-fargate-test@sha256:0d4bdc5749b80631a069957de99b0fa20201e38380ce90cc68786894231e429d",
"imageSha": "85669404084756ad51914d98c460b5b83f45848b2ec9567f08b262170db264e4",
"imageUuid": "3416926a-c4aa-33f8-b2ce-8c6d12948239",
"imageId": "856694040847",
"command": null,
"lifetimeMetrics": {
"minDaily": 14,
"maxDaily": 14,
"avgDaily": 14
},
"lifetimeTotalDays": 2,
"last7DaysMetrics": {
"minDaily": 14,
"maxDaily": 14,
"avgDaily": 14
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 155,
"firstSeen": "1784529606593",
"lastUpdated": "1784851529794",
"lastScanned": "1784529606596",
"scanTypes": [
"SCA",
"STATIC"
],
"operatingSystem": "CentOS Linux 7.8.2003",
"qdsSeverity": "HIGH",
"riskScore": 216,
"cloudTags": [
"test:test",
"aws:ecs:clusterName:Surabhi",
"aws:ecs:serviceName:Valerion-TD-service-zht6pgml"
],
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": 15,
"severity4Count": 62,
"severity3Count": 73,
"severity2Count": 5,
"severity1Count": 0
}
},
{
"uuid": "0417558c-4d87-3d18-a660-0125d3a47c01",
"imageDigest": "a973acc6ecea0254ce77c9caafb79d941da3e0d182607b3f07fc601433fc0bcf",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/362990800442/prachi-2025/test-biru-app:1/sha256:a973acc6ecea0254ce77c9caafb79d941da3e0d182607b3f07fc601433fc0bcf/amd64",
"accountId": "362990800442",
"region": "us-east-1",
"clusterName": "test-2025",
"clusterIdentifier": "arn:aws:ecs:us-east-1:362990800442:cluster/prachi-2025",
"workloadId": "test-biru-app:1",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "testbiru",
"taskArn": "service:example_task_2-service-ce2c6tzw",
"imageName": "362990800442.dkr.ecr.us-east-1.amazonaws.com/bala/nginx:latest",
"imageSha": "6c7be49d2a11cfab9a87362ad27d447b45931e43dfa6919a8e1398ec09c1e353",
"imageUuid": "ead5fb44-c4ab-399a-bb9c-65a381a97808",
"imageId": "6c7be49d2a11",
"command": null,
"lifetimeMetrics": {
"minDaily": 8,
"maxDaily": 8,
"avgDaily": 8
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 8,
"maxDaily": 8,
"avgDaily": 8
},
"cpu": 0,
"memory": null,
"memoryReservation": 2048,
"vulnerabilityCount": 139,
"firstSeen": "1784664574984",
"lastUpdated": "1784851529915",
"lastScanned": "1784664574987",
"scanTypes": [
"SCA",
"STATIC"
],
"operatingSystem": "Debian Linux 12.4",
"qdsSeverity": "CRITICAL",
"riskScore": 180,
"cloudTags": [
"aws:ecs:serviceName:example_task_2-service-ce2c6tzw",
"aws:ecs:clusterName:prachi-2025"
],
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": 3,
"severity4Count": 106,
"severity3Count": 27,
"severity2Count": 1,
"severity1Count": 2
}
},
{
"uuid": "12abbd28-f64e-3b00-a77a-d8ed8d39e2b0",
"imageDigest": "2697e0ba96a0cd341ef2573419e53d2024d0244a2170fc98d11365547f159dc3",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/682437954104/fargate-runtime-e2e-test/e2e-teste2e-signalforwarding-amd64:4/sha256:2697e0ba96a0cd341ef2573419e53d2024d0244a2170fc98d11365547f159dc3/amd64",
"accountId": "682437954104",
"region": "us-east-1",
"clusterName": "fargate-runtime-e2e-test",
"clusterIdentifier": "arn:aws:ecs:us-east-1:682437954104:cluster/fargate-runtime-e2e-test",
"workloadId": "e2e-teste2e-signalforwarding-amd64:4",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "wrapper-provider",
"taskArn": "arn:aws:ecs:us-east-1:682437954104:task/fargate-runtime-e2e-test/aad5d8ff72c8412088778a77c818830b",
"imageName": "682437954104.dkr.ecr.us-east-1.amazonaws.com/sensor-wrapper-provider:e2e-20260721-202032-amd64",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 3,
"maxDaily": 3,
"avgDaily": 3
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 3,
"maxDaily": 3,
"avgDaily": 3
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784665804477",
"lastUpdated": "1784851530008",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": null,
"severity4Count": null,
"severity3Count": null,
"severity2Count": null,
"severity1Count": null
}
},
{
"uuid": "15460b85-5ae8-32cd-926c-0886bec3e509",
"imageDigest": "baa84290a56890c6cd4a78109c01e4ab4a3d9bbeaf231650c97f59e90b61b0d4",
"qlpName": "aws://SERVERLESS_FARGATE/us-west-2/362990800442/prachi-explore/arn:aws:ecs:us-west-2:362990800442:service/prachi-explore/load-test-svc-22/btestnswfixwithtag:2/sha256:baa84290a56890c6cd4a78109c01e4ab4a3d9bbeaf231650c97f59e90b61b0d4/amd64",
"accountId": "362990800442",
"region": "us-west-2",
"clusterName": "prachi-explore",
"clusterIdentifier": "arn:aws:ecs:us-west-2:362990800442:cluster/prachi-explore",
"workloadId": "btestnswfixwithtag:2",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "ecstask-container-with-tag",
"taskArn": "arn:aws:ecs:us-west-2:362990800442:task/prachi-explore/0fde26712448453cabf3fce34dd2cf32",
"imageName": "362990800442.dkr.ecr.us-west-2.amazonaws.com/mynginx/mynginx-service:latest",
"imageSha": "1e49ae13705e141874d681dc7eac393ad76b97097a9a1a0c30a606951ed4bc50",
"imageUuid": "485f89fa-8eea-3d93-83ac-7d046bdd3b1a",
"imageId": "1e49ae13705e",
"command": null,
"lifetimeMetrics": {
"minDaily": 43,
"maxDaily": 43,
"avgDaily": 43
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 43,
"maxDaily": 43,
"avgDaily": 43
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 4,
"firstSeen": "1784815016721",
"lastUpdated": "1784851530015",
"lastScanned": "1784815016721",
"scanTypes": [
"DYNAMIC",
"SCA"
],
"operatingSystem": "linux",
"qdsSeverity": "MEDIUM",
"riskScore": 76,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": {
"severity5Count": 0,
"severity4Count": 2,
"severity3Count": 0,
"severity2Count": 2,
"severity1Count": 0
}
}
],
"count": 319
}
New API: Fetch Details of a QLP Entry
| New or Updated APIs | New |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/qlp/{uuid} |
| Method | GET |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| uuid | required | string | Specify the uuid value of a QLP asset. |
Sample: Fetch Details of a QLP EntrySample: Fetch Details of a QLP Entry
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/qlp/05b96322-355b-3e32-b1d6-875f8f2bf332' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response
{
"uuid": "05b96322-355b-3e32-b1d6-875f8f2bf332",
"imageDigest": "baa84290a56890c6cd4a78109c01e4xxxxxxxxxxxxxxc97f59e90b61b0d4",
"qlpName": "aws://SERVERLESS_FARGATE/us-west-2/362990800442/test-explore/arn:aws:ecs:us-west-2:362990800442:service/test-explore/load-test-svc-21/btestnswfixwithtag:2/sha256:baa84290a56890c6cd4a78109c01e4xxxxxxxxxbeaf231650c97f59e90b61b0d4/amd64",
"accountId": "362990800442",
"region": "us-west-2",
"clusterName": "test-explore",
"clusterIdentifier": "arn:aws:ecs:us-west-2:362990800442:cluster/test-explore",
"workloadId": "btestnswfixwithtag:2",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "ecstask-container-with-tag",
"taskArn": "arn:aws:ecs:us-west-2:362990800442:task/test-explore/a1b09162894445bcbdc6aebca48b5c9d",
"imageName": "362990800442.dkr.ecr.us-west-2.amazonaws.com/mynginx/mynginx-service:latest",
"imageSha": "1e49ae13705e141874d681dxxxxxxxxxxxx1a0c30a606951ed4bc50",
"imageUuid": "485f89fa-8eea-3d93-83ac-7d046bdd3b1a",
"imageId": "1e49ae13705e",
"environment": null,
"labels": null,
"command": null,
"cpu": 0,
"memory": null,
"memoryReservation": null,
"dailyCountToday": 0,
"vulnerabilityCount": 4,
"firstSeen": "1784815016840",
"lastUpdated": "1784851529497",
"lastScanned": "1784815016841",
"scanTypes": [
"DYNAMIC",
"SCA"
],
"vulnPropagationDate": "1784815016841",
"isVulnPropagated": true,
"vulnerabilityList": [
{
"qid": 6563533,
"title": "Alpine Linux 3.23 Security Update for zlib",
"result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nzlib 1.3.1-r2 1.3.2-r0",
"lastFound": 1780054786946,
"firstFound": 1780054786946,
"fixed": null,
"severity": 2,
"customerSeverity": 2,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 20,
"category": "Alpine Linux",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"VM",
"CA-Linux Agent",
"CS-Linux"
],
"product": [
"zlib"
],
"vendor": [
"alpine"
],
"cveids": [
"CVE-2026-22184",
"CVE-2026-27171"
],
"cvssInfo": {
"accessVector": "Adjacent Network",
"baseScore": 5.4,
"temporalScore": 4.3
},
"cvss3Info": {
"baseScore": 7.8,
"temporalScore": 7
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": true,
"highLateralMovement": true,
"easyExploit": null,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [
{
"name": "zlib",
"version": "1.3.1-r2",
"fixVersion": "1.3.2-r0",
"scanType": null,
"packagePath": null
}
],
"scanType": [
"DYNAMIC"
],
"qdsScore": 37,
"layerSha": null,
"vendorData": null,
"published": 1773062754000
},
{
"qid": 6563633,
"title": "Alpine Linux 3.23 Security Update for musl",
"result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nmusl 1.2.5-r21 1.2.5-r23\nmusl-utils 1.2.5-r21 1.2.5-r23",
"lastFound": 1780054786953,
"firstFound": 1780054786953,
"fixed": null,
"severity": 4,
"customerSeverity": 4,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 40,
"category": "Alpine Linux",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"VM",
"CA-Linux Agent",
"CS-Linux"
],
"product": [
"musl"
],
"vendor": [
"alpine"
],
"cveids": [
"CVE-2026-40200"
],
"cvssInfo": {
"accessVector": "Adjacent Network",
"baseScore": 5.4,
"temporalScore": 4
},
"cvss3Info": {
"baseScore": 8.1,
"temporalScore": 7.1
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": null,
"highLateralMovement": true,
"easyExploit": null,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": true,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [],
"scanType": [
"DYNAMIC"
],
"qdsScore": 35,
"layerSha": null,
"vendorData": null,
"published": 1776085539000
}
],
"scanType": "DYNAMIC",
"packagePath": null,
"layerSha": null,
"type": null,
"ignoredReason": null,
"lifecycle": null,
"category1": null,
"category2": null,
"isAiSoftware": null
},
{
"name": "scanelf",
"version": "1.3.8-r2",
"fixVersion": null,
"vulnerabilities": [],
"scanType": "DYNAMIC",
"packagePath": null,
"layerSha": null,
"type": null,
"ignoredReason": null,
"lifecycle": null,
"category1": null,
"category2": null,
"isAiSoftware": null
},
{
"name": "ssl_client",
"version": "1.37.0-r30",
"fixVersion": null,
"vulnerabilities": [],
"scanType": "DYNAMIC",
"packagePath": null,
"layerSha": null,
"type": null,
"ignoredReason": null,
"lifecycle": null,
"category1": null,
"category2": null,
"isAiSoftware": null
},
{
"name": "zlib",
"version": "1.3.1-r2",
"fixVersion": "1.3.2-r0",
"vulnerabilities": [
{
"qid": 6563533,
"title": "Alpine Linux 3.23 Security Update for zlib",
"result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nzlib 1.3.1-r2 1.3.2-r0",
"lastFound": 1780054786946,
"firstFound": 1780054786946,
"fixed": null,
"severity": 2,
"customerSeverity": 2,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 20,
"category": "Alpine Linux",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"VM",
"CA-Linux Agent",
"CS-Linux"
],
"product": [
"zlib"
],
"vendor": [
"alpine"
],
"cveids": [
"CVE-2026-22184",
"CVE-2026-27171"
],
"cvssInfo": {
"accessVector": "Adjacent Network",
"baseScore": 5.4,
"temporalScore": 4.3
},
"cvss3Info": {
"baseScore": 7.8,
"temporalScore": 7
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": true,
"highLateralMovement": true,
"easyExploit": null,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [],
"scanType": [
"DYNAMIC"
],
"qdsScore": 37,
"layerSha": null,
"vendorData": null,
"published": 1773062754000
}
],
"scanType": "DYNAMIC",
"packagePath": null,
"layerSha": null,
"type": null,
"ignoredReason": null,
"lifecycle": null,
"category1": null,
"category2": null,
"isAiSoftware": null
}
],
"operatingSystem": "linux",
"qdsSeverity": "MEDIUM",
"riskScore": 76,
"maxQdsScore": null,
"formulaUsed": null,
"riskScoreCalculationDate": "1780054786958",
"cloudTags": null,
"cloudProvider": "AWS",
"lifetimeMetrics": {
"minDaily": 49,
"maxDaily": 49,
"avgDaily": 49
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 49,
"maxDaily": 49,
"avgDaily": 49
},
"accumulationDate": null,
"vulnSummary": {
"confirmed": {
"sev1Count": 0,
"sev5Count": 0,
"sev2Count": 2,
"sev4Count": 2,
"sev3Count": 0
},
"potential": {
"sev1Count": 0,
"sev5Count": 0,
"sev2Count": 0,
"sev4Count": 0,
"sev3Count": 0
},
"igs": {
"sev1Count": 0,
"sev5Count": 0,
"sev2Count": 0,
"sev4Count": 0,
"sev3Count": 0
},
"patchAvailability": {
"confirmed": {
"sev1Count": 0,
"sev5Count": 0,
"sev2Count": 2,
"sev4Count": 2,
"sev3Count": 0
},
"potential": {
"sev1Count": 0,
"sev5Count": 0,
"sev2Count": 0,
"sev4Count": 0,
"sev3Count": 0
},
"igs": {
"sev1Count": 0,
"sev5Count": 0,
"sev2Count": 0,
"sev4Count": 0,
"sev3Count": 0
}
}
}
}
New API: Fetch Software Details of a QLP Entry
| New or Updated APIs | New |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/qlp/{uuid}/software |
| Method | GET |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| uuid | required | string | Specify the uuid value of a QLP asset. |
Sample: Fetch Software Details of a QLP EntrySample: Fetch Software Details of a QLP Entry
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/qlp/05b96322-355b-3e32-b1d6-875f8f2bf332/software' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response
{
"data": [
{
"name": "alpine-baselayout",
"version": "3.7.1-r8",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "alpine-baselayout-data",
"version": "3.7.1-r8",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "alpine-keys",
"version": "2.6-r0",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "alpine-release",
"version": "3.23.3-r0",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "apk-tools",
"version": "3.0.3-r1",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "busybox",
"version": "1.37.0-r30",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "busybox-binsh",
"version": "1.37.0-r30",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "ca-certificates-bundle",
"version": "20251003-r0",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "libapk",
"version": "3.0.3-r1",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "libcrypto3",
"version": "3.5.5-r0",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": "3.5.6-r0",
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 1,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "libssl3",
"version": "3.5.5-r0",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": "3.5.6-r0",
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 1,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "musl",
"version": "1.2.5-r21",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": "1.2.5-r23",
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 1,
"severity3Count": 0,
"severity2Count": 1,
"severity1Count": 0
}
},
{
"name": "musl-utils",
"version": "1.2.5-r21",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": "1.2.5-r23",
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 1,
"severity3Count": 0,
"severity2Count": 1,
"severity1Count": 0
}
},
{
"name": "scanelf",
"version": "1.3.8-r2",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "ssl_client",
"version": "1.37.0-r30",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": null,
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 0,
"severity1Count": 0
}
},
{
"name": "zlib",
"version": "1.3.1-r2",
"scanType": "DYNAMIC",
"packagePath": null,
"fixVersion": "1.3.2-r0",
"vulnerabilities": {
"severity5Count": 0,
"severity4Count": 0,
"severity3Count": 0,
"severity2Count": 1,
"severity1Count": 0
}
}
],
"count": 16,
"groups": {
"softwareCountBySeverity": {
"severity5Count": 0,
"severity3Count": 0,
"severity4Count": 4,
"severity1Count": 0,
"severity2Count": 3
}
},
"aggs": null
}
New API: Fetch Vulnerability Stats of a QLP Entry
| New or Updated APIs | New |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/qlp/{uuid}/vuln/stats |
| Method | GET |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| uuid | required | string | Specify the uuid value of a QLP asset. |
Sample: Fetch Vulnerability Stats of a QLP EntrySample: Fetch Vulnerability Stats of a QLP Entry
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/qlp/05b96322-355b-3e32-b1d6-875f8f2bf332/vuln/stats' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response
{
"data": [
{
"qid": 6563639,
"title": "Alpine Linux 3.23 Security Update for musl",
"result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nmusl 1.2.5-r21 1.2.5-r22\nmusl-utils 1.2.5-r21 1.2.5-r22",
"lastFound": 1780054786957,
"firstFound": 1780054786957,
"fixed": null,
"severity": 2,
"customerSeverity": 2,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 20,
"category": "Alpine Linux",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"VM",
"CA-Linux Agent",
"CS-Linux"
],
"product": [
"musl"
],
"vendor": [
"alpine"
],
"cveids": [
"CVE-2026-6042"
],
"cvssInfo": {
"accessVector": "Local",
"baseScore": 1.7,
"temporalScore": 1.4
},
"cvss3Info": {
"baseScore": 3.3,
"temporalScore": 3
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": true,
"highLateralMovement": null,
"easyExploit": true,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [
{
"name": "musl-utils",
"version": "1.2.5-r21",
"fixVersion": "1.2.5-r22",
"scanType": null,
"packagePath": null
},
{
"name": "musl",
"version": "1.2.5-r21",
"fixVersion": "1.2.5-r22",
"scanType": null,
"packagePath": null
}
],
"published": 1776085539000,
"scanType": [
"DYNAMIC"
],
"qdsScore": 37,
"layerSha": null,
"vendorData": null,
"isExempted": false
},
{
"qid": 6563633,
"title": "Alpine Linux 3.23 Security Update for musl",
"result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nmusl 1.2.5-r21 1.2.5-r23\nmusl-utils 1.2.5-r21 1.2.5-r23",
"lastFound": 1780054786953,
"firstFound": 1780054786953,
"fixed": null,
"severity": 4,
"customerSeverity": 4,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 40,
"category": "Alpine Linux",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"VM",
"CA-Linux Agent",
"CS-Linux"
],
"product": [
"musl"
],
"vendor": [
"alpine"
],
"cveids": [
"CVE-2026-40200"
],
"cvssInfo": {
"accessVector": "Adjacent Network",
"baseScore": 5.4,
"temporalScore": 4
},
"cvss3Info": {
"baseScore": 8.1,
"temporalScore": 7.1
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": null,
"highLateralMovement": true,
"easyExploit": null,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": true,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [
{
"name": "musl-utils",
"version": "1.2.5-r21",
"fixVersion": "1.2.5-r23",
"scanType": null,
"packagePath": null
},
{
"name": "musl",
"version": "1.2.5-r21",
"fixVersion": "1.2.5-r23",
"scanType": null,
"packagePath": null
}
],
"published": 1776085539000,
"scanType": [
"DYNAMIC"
],
"qdsScore": 35,
"layerSha": null,
"vendorData": null,
"isExempted": false
},
{
"qid": 6563620,
"title": "Alpine Linux 3.23 Security Update for Open Secure Sockets Layer (OpenSSL)",
"result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nlibcrypto3 3.5.5-r0 3.5.6-r0\nlibssl3 3.5.5-r0 3.5.6-r0",
"lastFound": 1780054786950,
"firstFound": 1780054786950,
"fixed": null,
"severity": 4,
"customerSeverity": 4,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 40,
"category": "Alpine Linux",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"VM",
"CA-Linux Agent",
"CS-Linux"
],
"product": [
"openssl"
],
"vendor": [
"alpine"
],
"cveids": [
"CVE-2026-2673",
"CVE-2026-28387",
"CVE-2026-28388",
"CVE-2026-28389",
"CVE-2026-28390",
"CVE-2026-31789",
"CVE-2026-31790"
],
"cvssInfo": {
"accessVector": "Network",
"baseScore": 7.5,
"temporalScore": 5.5
},
"cvss3Info": {
"baseScore": 7.5,
"temporalScore": 6.5
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": null,
"highLateralMovement": null,
"easyExploit": true,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [
{
"name": "libssl3",
"version": "3.5.5-r0",
"fixVersion": "3.5.6-r0",
"scanType": null,
"packagePath": null
},
{
"name": "libcrypto3",
"version": "3.5.5-r0",
"fixVersion": "3.5.6-r0",
"scanType": null,
"packagePath": null
}
],
"published": 1776085523000,
"scanType": [
"DYNAMIC"
],
"qdsScore": 65,
"layerSha": null,
"vendorData": null,
"isExempted": false
},
{
"qid": 6563533,
"title": "Alpine Linux 3.23 Security Update for zlib",
"result": "#table cols=\"3\"\nPackage Installed_Version Required_Version\nzlib 1.3.1-r2 1.3.2-r0",
"lastFound": 1780054786946,
"firstFound": 1780054786946,
"fixed": null,
"severity": 2,
"customerSeverity": 2,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 20,
"category": "Alpine Linux",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"VM",
"CA-Linux Agent",
"CS-Linux"
],
"product": [
"zlib"
],
"vendor": [
"alpine"
],
"cveids": [
"CVE-2026-22184",
"CVE-2026-27171"
],
"cvssInfo": {
"accessVector": "Adjacent Network",
"baseScore": 5.4,
"temporalScore": 4.3
},
"cvss3Info": {
"baseScore": 7.8,
"temporalScore": 7
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": true,
"highLateralMovement": true,
"easyExploit": null,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [
{
"name": "zlib",
"version": "1.3.1-r2",
"fixVersion": "1.3.2-r0",
"scanType": null,
"packagePath": null
}
],
"published": 1773062754000,
"scanType": [
"DYNAMIC"
],
"qdsScore": 37,
"layerSha": null,
"vendorData": null,
"isExempted": false
}
],
"vulnSummary": {
"confirmed": {
"sev1Count": 0,
"sev2Count": 2,
"sev3Count": 0,
"sev4Count": 2,
"sev5Count": 0
},
"potential": {
"sev1Count": 0,
"sev2Count": 0,
"sev3Count": 0,
"sev4Count": 0,
"sev5Count": 0
},
"igs": {
"sev1Count": 0,
"sev2Count": 0,
"sev3Count": 0,
"sev4Count": 0,
"sev5Count": 0
},
"patchAvailability": {
"confirmed": {
"sev1Count": 0,
"sev2Count": 2,
"sev3Count": 0,
"sev4Count": 2,
"sev5Count": 0
},
"potential": {
"sev1Count": 0,
"sev2Count": 0,
"sev3Count": 0,
"sev4Count": 0,
"sev5Count": 0
},
"igs": {
"sev1Count": 0,
"sev2Count": 0,
"sev3Count": 0,
"sev4Count": 0,
"sev5Count": 0
}
}
}
}
New API: Fetch a List of QLP Entries in Bulk
| New or Updated APIs | New |
|---|---|
| API Endpoint (New version) | /csapi/v1.3/qlp/list |
| Method | GET |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| limit | optional | integer | Mention the number of records per page to be included in the response. |
Sample: Fetch a List of QLP Entries in BulkSample: Fetch a List of QLP Entries in Bulk
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/qlp/list?limit=50' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>'
API Response (Truncated)
{
"data": [
{
"uuid": "cc2dd27b-fe17-3793-98ca-8f9c62a429dc",
"imageDigest": "fd8d9aa63ba2f0982b5304e1ee8d3b90a210bc1ffb5314d980eb6962f1a9715d",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/123456789012/e2e-cluster-1780451767/e2e-co-enrich-metadata-tags-1780451767:1/sha256:fd8d9aa63ba2f0982b5304e1ee8d3b90a210bc1ffb5314d980eb6962f1a9715d/amd64",
"accountId": "123456789012",
"region": "us-east-1",
"clusterName": "e2e-cluster-1780451767",
"clusterIdentifier": "arn:aws:ecs:us-east-1:123456789012:cluster/e2e-cluster-1780451767",
"workloadId": "e2e-co-enrich-metadata-tags-1780451767:1",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "app",
"taskArn": "arn:aws:ecs:us-east-1:123456789012:task/e2e-cluster-1780451767/e9db3bbe547b4159b3fefdd5a29d3b8e",
"imageName": "public.ecr.aws/docker/library/busybox:latest",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 6,
"maxDaily": 12,
"avgDaily": 9
},
"lifetimeTotalDays": 2,
"last7DaysMetrics": {
"minDaily": 6,
"maxDaily": 6,
"avgDaily": 6
},
"cpu": null,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784090956511",
"lastUpdated": "1784851532152",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": [
"team:platform",
"cost-center:CC-4242",
"env:e2e"
],
"cloudProvider": "AWS",
"vulnerabilityStats": null
},
{
"uuid": "aba58c0b-dbbd-3f3a-a286-782f33c243da",
"imageDigest": "5b10f432ef3da1b8d4c7eb6c487f2f5a8f096bc91145e68878dd4a5019afde11",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/123456789012/e2e-cluster-1780451767/e2e-co-enrich-metadata-tags-1780451767:1/sha256:5b10f432ef3da1b8d4c7eb6c487f2f5a8f096bc91145e68878dd4a5019afde11/amd64",
"accountId": "123456789012",
"region": "us-east-1",
"clusterName": "e2e-cluster-1780451767",
"clusterIdentifier": "arn:aws:ecs:us-east-1:123456789012:cluster/e2e-cluster-1780451767",
"workloadId": "e2e-co-enrich-metadata-tags-1780451767:1",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "sidecar",
"taskArn": "arn:aws:ecs:us-east-1:123456789012:task/e2e-cluster-1780451767/e9db3bbe547b4159b3fefdd5a29d3b8e",
"imageName": "public.ecr.aws/docker/library/alpine:latest",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 6,
"maxDaily": 12,
"avgDaily": 9
},
"lifetimeTotalDays": 2,
"last7DaysMetrics": {
"minDaily": 6,
"maxDaily": 6,
"avgDaily": 6
},
"cpu": null,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784090956529",
"lastUpdated": "1784851532200",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": [
"team:platform",
"cost-center:CC-4242",
"env:e2e"
],
"cloudProvider": "AWS",
"vulnerabilityStats": null
},
{
"uuid": "088994e5-853c-36a6-95e9-1d51b09cc432",
"imageDigest": "fd8d9aa63ba2f0982b5304e1ee8d3b90a210bc1ffb5314d980eb6962f1a9715d",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/123456789012/e2e-cluster-1780454751/e2e-co-single-container-1780454750:1/sha256:fd8d9aa63ba2f0982b5304e1ee8d3b90a210bc1ffb5314d980eb6962f1a9715d/amd64",
"accountId": "123456789012",
"region": "us-east-1",
"clusterName": "e2e-cluster-1780454751",
"clusterIdentifier": "arn:aws:ecs:us-east-1:123456789012:cluster/e2e-cluster-1780454751",
"workloadId": "e2e-co-single-container-1780454750:1",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "app",
"taskArn": "arn:aws:ecs:us-east-1:123456789012:task/e2e-cluster-1780454751/96f299adf57c46c58f555e07b55d4f2c",
"imageName": "public.ecr.aws/docker/library/busybox:latest",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 6,
"maxDaily": 12,
"avgDaily": 9
},
"lifetimeTotalDays": 2,
"last7DaysMetrics": {
"minDaily": 6,
"maxDaily": 6,
"avgDaily": 6
},
"cpu": null,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784090956570",
"lastUpdated": "1784851530201",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": null
},
.
.
.
.
.
.
{
"uuid": "b1fd4d11-09ea-3ab0-9a1b-3fb80ce60ca8",
"imageDigest": "baa84290a56890c6cd4a78109c01e4ab4a3d9bbeaf231650c97f59e90b61b0d4",
"qlpName": "aws://SERVERLESS_FARGATE/us-west-2/362990800442/co-e2e-cluster-2/btestnswfixwithtag:2/sha256:baa84290a56890c6cd4a78109c01e4ab4a3d9bbeaf231650c97f59e90b61b0d4/amd64",
"accountId": "362990800442",
"region": "us-west-2",
"clusterName": "co-e2e-cluster-2",
"clusterIdentifier": "arn:aws:ecs:us-west-2:362990800442:cluster/co-e2e-cluster-2",
"workloadId": "btestnswfixwithtag:2",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "ecstask-container-with-tag",
"taskArn": "service:load-test-svc-2",
"imageName": "362990800442.dkr.ecr.us-west-2.amazonaws.com/mynginx/mynginx-service:latest",
"imageSha": "1e49ae13705e141874d681dc7eac393ad76b97097a9a1a0c30a606951ed4bc50",
"imageUuid": "485f89fa-8eea-3d93-83ac-7d046bdd3b1a",
"imageId": "1e49ae13705e",
"command": null,
"lifetimeMetrics": {
"minDaily": 1,
"maxDaily": 1,
"avgDaily": 1
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 1,
"maxDaily": 1,
"avgDaily": 1
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 4,
"firstSeen": "1784661423652",
"lastUpdated": "1784851533503",
"lastScanned": "1784661423654",
"scanTypes": [
"DYNAMIC",
"SCA"
],
"operatingSystem": "linux",
"qdsSeverity": "MEDIUM",
"riskScore": 76,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": null
},
{
"uuid": "0ce2a185-0611-35d4-8fc2-f3896be46dc7",
"imageDigest": "f742a1f1261553d61541c5df5730140f7ef995de764c3b4ba5d64bbb35f58d94",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/682437954104/fargate-runtime-e2e-test/e2e-teste2e-smoke-amd64:4/sha256:f742a1f1261553d61541c5df5730140f7ef995de764c3b4ba5d64bbb35f58d94/amd64",
"accountId": "682437954104",
"region": "us-east-1",
"clusterName": "fargate-runtime-e2e-test",
"clusterIdentifier": "arn:aws:ecs:us-east-1:682437954104:cluster/fargate-runtime-e2e-test",
"workloadId": "e2e-teste2e-smoke-amd64:4",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "wrapper-provider",
"taskArn": "arn:aws:ecs:us-east-1:682437954104:task/fargate-runtime-e2e-test/7baad117e52c43e29ec76feacb9d6849",
"imageName": "682437954104.dkr.ecr.us-east-1.amazonaws.com/sensor-wrapper-provider:e2e-20260721-194553-amd64",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 2,
"maxDaily": 2,
"avgDaily": 2
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 2,
"maxDaily": 2,
"avgDaily": 2
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784663196315",
"lastUpdated": "1784851534978",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": null
},
{
"uuid": "0d8ac1a0-3e94-395b-a229-f85b82046f91",
"imageDigest": "e0a92dfc0b02888c51e95453bdd92502d6a38eaf6ec2533664fcc4d5f56124ce",
"qlpName": "aws://SERVERLESS_FARGATE/us-east-1/682437954104/fargate-runtime-e2e-test/e2e-teste2e-smoke-amd64:4/sha256:e0a92dfc0b02888c51e95453bdd92502d6a38eaf6ec2533664fcc4d5f56124ce/amd64",
"accountId": "682437954104",
"region": "us-east-1",
"clusterName": "fargate-runtime-e2e-test",
"clusterIdentifier": "arn:aws:ecs:us-east-1:682437954104:cluster/fargate-runtime-e2e-test",
"workloadId": "e2e-teste2e-smoke-amd64:4",
"architecture": "amd64",
"source": "SERVERLESS_FARGATE",
"containerName": "app",
"taskArn": "arn:aws:ecs:us-east-1:682437954104:task/fargate-runtime-e2e-test/7baad117e52c43e29ec76feacb9d6849",
"imageName": "682437954104.dkr.ecr.us-east-1.amazonaws.com/probe-app:e2e-20260721-194553-amd64",
"imageSha": null,
"imageUuid": null,
"imageId": null,
"command": null,
"lifetimeMetrics": {
"minDaily": 2,
"maxDaily": 2,
"avgDaily": 2
},
"lifetimeTotalDays": 1,
"last7DaysMetrics": {
"minDaily": 2,
"maxDaily": 2,
"avgDaily": 2
},
"cpu": 0,
"memory": null,
"memoryReservation": null,
"vulnerabilityCount": 0,
"firstSeen": "1784663196403",
"lastUpdated": "1784851530234",
"lastScanned": null,
"scanTypes": null,
"operatingSystem": null,
"qdsSeverity": null,
"riskScore": null,
"cloudTags": null,
"cloudProvider": "AWS",
"vulnerabilityStats": null
}
],
"limit": 50
}
Enhancements Serverless Function (AWS Lambda Scan)
Qualys Container Security now includes image identification details for scanned serverless functions. Serverless function responses include the imageSha field. This field returns the SHA256 digest of the container image that backs a function deployed with the Image package type. Use the digest to correlate the function with its image asset in Container Security and verify the exact image build that Container Security scanned.
To support this, we have enhanced the following APIs.
- Fetch a List of Serverless Function
GET /csapi/v1.3/serverless-functions - Fetch Details of a Serverless Function
GET /csapi/v1.3/serverless-functions/{functionUuid} - Fetch a List of Serverless Function in Bulk
GET /csapi/v1.3/serverless-functions/list
New API: Fetch a List of Serverless Function
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /v1.3/serverless-functions |
| Method | GET |
| DTD XSD Changes | No |
Sample: Fetch a List of Serverless FunctionSample: Fetch a List of Serverless Function
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/serverless-functions?pageNo=1&pageSize=50&sort=lastScanned&limit=50' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>
API Response
{
"data": [
{
"uuid": "64a17ecf-8d35-39a1-b2a0-bfa9b701bd6a",
"functionId": "f651a11e08dd73b1f1121a59c280bfa0f65bdd10d7c0c0a0df4dc990345e511a",
"cloudResourceId": "/subscriptions/5a85a387-af14-4a10-bfa0-c4846979cb16/resourceGroups/arthapekshatest/providers/Microsoft.Web/sites/arth-function-vul-python-image",
"name": "arth-function-vul-python-image",
"architecture": null,
"operatingSystem": "Debian Linux 11.11",
"functionUrl": null,
"runtime": "python",
"entryPoint": null,
"imageUri": "mcr.microsoft.com/azure-functions/python:4-python3.11",
"imageSha": "2f51ba8d1441d1be22e0c2a1ae0acd85d49c93d6807acef8c821cb12fabc9133",
"memoryAllocation": null,
"artifactSize": null,
"environmentConfig": [
"FUNCTIONS_EXTENSION_VERSION:~4",
"WEBSITES_ENABLE_APP_SERVICE_STORAGE:false",
"MACHINEKEY_DecryptionKey:D1D1DAAF645E8C6F68B7318267E339B1BAB8FBC61C4DCE94F434EB7875EA4BD6",
"DOCKER_CUSTOM_IMAGE_NAME:mcr.microsoft.com/azure-functions/python:4-python3.11",
"ADMIN_PASSWORD:super_secret_password_123",
"API_KEY:AKIAIOSFODNN7EXAMPLE",
"APPLICATIONINSIGHTS_CONNECTION_STRING:InstrumentationKey=90cb3f08-f213-4852-b7a1-07fb7aff6a63;IngestionEndpoint=https://westus-0.in.applicationinsights.azure.com/;LiveEndpoint=https://westus.livediagnostics.monitor.azure.com/;ApplicationId=9d58dcad-1b42-48b6-a677-475b68e75579",
"FUNCTIONS_WORKER_RUNTIME:python",
"AzureWebJobsStorage:DefaultEndpointsProtocol=https;EndpointSuffix=core.windows.net;AccountName=arthapeksha;AccountKey=HrEtTVrxNse4ZM5xdT/ptxp0pI6f7T/jcqboIVfr0IW2nyETKM6bLjKMQ73VM7yrNjZF11yKp0Hc+AStkK+LqA==",
"DOCKER_REGISTRY_SERVER_URL:https://mcr.microsoft.com",
"FUNCTION_APP_EDIT_MODE:readOnly"
],
"packageType": "Image",
"cloudProvider": "Azure",
"cloudAccountId": "5a85a387-af14-4a10-bfa0-c4846979cb16",
"cloudRegion": "West US",
"sourceTypes": [
"COMMAND_LINE"
],
"softwareCount": 936,
"vulnerabilityCount": 25,
"riskScore": 80,
"maxQdsScore": 42,
"qdsSeverity": "MEDIUM",
"created": 1784873358661,
"updated": 1785929843144,
"lastScanned": 1785929843144,
"vulnerabilityStats": {
"severity5Count": 0,
"severity4Count": 5,
"severity3Count": 18,
"severity2Count": 2,
"severity1Count": 0
}
},
{
"uuid": "d6bd5a08-a433-381c-8427-0b89aef4fd22",
"functionId": "6623d1d0b205ccf01fea04faaf0597296b7f8d2ed4f8a6bd4ab4b80dedf06af8",
"cloudResourceId": "/subscriptions/5a85a387-af14-4a10-bfa0-c4846979cb16/resourceGroups/arthapekshatest/providers/Microsoft.Web/sites/arth-function-vul-java",
"name": "arth-function-vul-java",
"architecture": null,
"operatingSystem": null,
"functionUrl": null,
"runtime": "java11",
"entryPoint": null,
"imageUri": null,
"imageSha": null,
"memoryAllocation": null,
"artifactSize": null,
"environmentConfig": [
"FUNCTIONS_EXTENSION_VERSION:~4",
"FUNCTIONS_WORKER_RUNTIME:java",
"WEBSITE_RUN_FROM_PACKAGE:https://arthapeksha.blob.core.windows.net/function-releases/20260722124837-3364508c-7af3-4856-9068-f1940e34a9ba.zip?st=2026-07-22T07%3A08%3A46Z&se=2036-07-09T07%3A18%3A46Z&sp=r&sv=2026-04-06&sr=b&sig=YSMlqjW9HX1yWTHv2xX3NyBsfu3spa58szHBcUwoZEQ%3D",
"APPLICATIONINSIGHTS_CONNECTION_STRING:InstrumentationKey=a40f8da2-1c3e-4ab4-bb46-1f3380008860;IngestionEndpoint=https://westus-0.in.applicationinsights.azure.com/;LiveEndpoint=https://westus.livediagnostics.monitor.azure.com/;ApplicationId=69d2c535-92b3-4234-be04-45f7d43a789a",
"ADMIN_PASSWORD:super_secret_password_123",
"WEBSITE_CONTENTAZUREFILECONNECTIONSTRING:DefaultEndpointsProtocol=https;EndpointSuffix=core.windows.net;AccountName=arthapeksha;AccountKey=HrEtTVrxNse4ZM5xdT/ptxp0pI6f7T/jcqboIVfr0IW2nyETKM6bLjKMQ73VM7yrNjZF11yKp0Hc+AStkK+LqA==",
"API_KEY:AKIAIOSFODNN7EXAMPLE",
"WEBSITE_CONTENTSHARE:arth-function-vul-java3c84754fef2b",
"AzureWebJobsStorage:DefaultEndpointsProtocol=https;EndpointSuffix=core.windows.net;AccountName=arthapeksha;AccountKey=HrEtTVrxNse4ZM5xdT/ptxp0pI6f7T/jcqboIVfr0IW2nyETKM6bLjKMQ73VM7yrNjZF11yKp0Hc+AStkK+LqA=="
],
"packageType": "Zip",
"cloudProvider": "Azure",
"cloudAccountId": "5a85a387-af14-4a10-bfa0-c4846979cb16",
"cloudRegion": "West US",
"sourceTypes": [
"COMMAND_LINE"
],
"softwareCount": 11,
"vulnerabilityCount": 73,
"riskScore": 276,
"maxQdsScore": 100,
"qdsSeverity": "CRITICAL",
"created": 1785945018893,
"updated": 1785945019143,
"lastScanned": 1785945019143,
"vulnerabilityStats": {
"severity5Count": 17,
"severity4Count": 43,
"severity3Count": 12,
"severity2Count": 1,
"severity1Count": 0
}
}
],
"count": 2
}
New API: Fetch Details of a Serverless Function
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /v1.3/serverless-functions/{functionUuid} |
| Method | GET |
| DTD XSD Changes | No |
Input ParametersInput Parameters
| Parameter | Mandatory/Optional | Data Type | Description |
|---|---|---|---|
| functionUuid | Mandatory | string | Specify the uuid of a serverless lambda function. |
Sample: Fetch Details of a Serverless FunctionSample: Fetch Details of a Serverless Function
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/serverless-functions/64a17ecf-8d35-39a1-b2a0-bfa9b701bd6a' \
-H 'accept: application/json' \
-H 'Authorization: Bearer <token>
API Response
{
"uuid": "64a17ecf-8d35-39a1-b2a0-bfa9b701bd6a",
"functionId": "f651a11e08dd73b1f1121a59c280bfa0f65bdd10d7c0c0a0df4dc990345e511a",
"cloudResourceId": "/subscriptions/5a85a387-af14-4a10-bfa0-c4846979cb16/resourceGroups/arthapekshatest/providers/Microsoft.Web/sites/arth-function-vul-python-image",
"name": "arth-function-vul-python-image",
"architecture": null,
"operatingSystem": "Debian Linux 11.11",
"functionUrl": null,
"runtime": "python",
"entryPoint": null,
"imageUri": "mcr.microsoft.com/azure-functions/python:4-python3.11",
"imageSha": "2f51ba8d1441d1be22e0c2a1ae0acd85d49c93d6807acef8c821cb12fabc9133",
"memoryAllocation": null,
"artifactSize": null,
"environmentConfig": [
"FUNCTIONS_EXTENSION_VERSION:~4",
"WEBSITES_ENABLE_APP_SERVICE_STORAGE:false",
"MACHINEKEY_DecryptionKey:D1D1DAAF645E8C6F68B7xxxxxC4DCExxx875EA4BD6",
"DOCKER_CUSTOM_IMAGE_NAME:mcr.microsoft.com/azure-functions/python:4-python3.11",
"ADMIN_PASSWORD:super_secret_password_123",
"API_KEY:AKIAIOSFODNN7EXAMPLE",
"APPLICATIONINSIGHTS_CONNECTION_STRING:InstrumentationKey=90cb3f08-f213-4852-b7a1-07fb7aff6a63;IngestionEndpoint=https://westus-0.in.applicationinsights.azure.com/;
LiveEndpoint=https://westus.livediagnostics.monitor.azure.com/;ApplicationId=9d58dcad-1b42-48b6-a677-475b68e75579",
"FUNCTIONS_WORKER_RUNTIME:python",
"AzureWebJobsStorage:DefaultEndpointsProtocol=https;EndpointSuffix=core.windows.net;AccountName=arthapeksha;AccountKey=HrEtTVrxNse4ZM5xdT/ptxp0pI6f7T/jcqboIVfr0IW2nyETKM6bLjKMQ73VM7yrNjZF11yKp0Hc+AStkK+LqA==",
"DOCKER_REGISTRY_SERVER_URL:https://mcr.microsoft.com",
"FUNCTION_APP_EDIT_MODE:readOnly"
],
"packageType": "Image",
"cloudProvider": "Azure",
"cloudAccountId": "5a85a387-af14-4a10-bfa0-c484xxx16",
"cloudRegion": "West US",
"sourceTypes": [
"COMMAND_LINE"
],
"softwareCount": 936,
"vulnerabilityCount": 25,
"riskScore": 80,
"maxQdsScore": 42,
"qdsSeverity": "MEDIUM",
"created": 1784873358661,
"updated": 1785929843036,
"lastScanned": 1785929843074,
"firstFound": 1784873358661,
"scanTypes": [
"SCA",
"STATIC"
],
"vulnerabilityStats": {
"severity5Count": 0,
"severity4Count": 5,
"severity3Count": 18,
"severity2Count": 2,
"severity1Count": 0
},
"vulnerabilityList": [
{
"qid": 5011517,
"title": "Python (Pip) Security Update for pip (GHSA-58qw-9mgm-455v)",
"result": "#table cols=\"5\"\nPackage Installed_Version Required_Version Language Install_Path\npip 24.0 26.1 Python usr/local/lib/python3.11/site-packages/pip-24.0.dist-info/METADATA",
"lastFound": 1785929843061,
"firstFound": 1784873361955,
"fixed": null,
"severity": 3,
"customerSeverity": 3,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 30,
"category": "SCA",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"CA-Windows Agent",
"CA-Linux Agent",
"SCA",
"CS-Windows",
"CS-Linux"
],
"product": [
"pip"
],
"vendor": [
"pip"
],
"cveids": [
"CVE-2026-3219"
],
"cvssInfo": {
"accessVector": "Adjacent Network",
"baseScore": 5.4,
"temporalScore": 4
},
"cvss3Info": {
"baseScore": 3.3,
"temporalScore": 2.9
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": null,
"highLateralMovement": true,
"easyExploit": null,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [
{
"name": "pip",
"version": "24.0",
"fixVersion": "26.1",
"scanType": "SCA",
"packagePath": "usr/local/lib/python3.11/site-packages/pip-24.0.dist-info/METADATA"
}
],
"scanType": [
"SCA"
],
"qdsScore": 30,
"layerSha": [
"52cbddc35024f30d37e2e4c48d4a6fa9384e257d19e0b3a20b6e0ef1c98c3fcc"
],
"vendorData": null,
"published": 1777292671000
},
{
"qid": 5011455,
"title": "DotNet (Nuget) Security Update for OpenTelemetry.Api (GHSA-g94r-2vxg-569j)",
"result": "#table cols=\"5\"\nPackage Installed_Version Required_Version Language Install_Path\nOpenTelemetry.Api 1.14.0 1.15.3 .Net azure-functions-host/Microsoft.Azure.WebJobs.Script.WebHost.deps.json",
"lastFound": 1785929843063,
"firstFound": 1784873361961,
"fixed": null,
"severity": 3,
"customerSeverity": 3,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"nonRunningKernel": null,
"nonExploitableConfig": null,
"runningService": null,
"risk": 30,
"category": "SCA",
"os": null,
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"CA-Windows Agent",
"CA-Linux Agent",
"SCA",
"CS-Windows",
"CS-Linux"
],
"product": [
"nuget"
],
"vendor": [
"nuget"
],
"cveids": [
"CVE-2026-40894"
],
"cvssInfo": {
"accessVector": "Network",
"baseScore": 5,
"temporalScore": 3.7
},
"cvss3Info": {
"baseScore": 5.3,
"temporalScore": 4.6
},
"patchAvailable": true,
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": null,
"highLateralMovement": null,
"easyExploit": true,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"software": [
{
"name": "OpenTelemetry.Api",
"version": "1.14.0",
"fixVersion": "1.15.3",
"scanType": "SCA",
"packagePath": "azure-functions-host/Microsoft.Azure.WebJobs.Script.WebHost.deps.json"
}
],
"scanType": [
"SCA"
],
"qdsScore": 30,
"layerSha": [
"193f2eb1d03297ad676f660585747c3b56fc8c57b96218b34a8e80e6a9078600"
],
"vendorData": null,
"published": 1777292665000
},
],
"vulnSummary": null
}
New API: Fetch a List of Serverless Functions in Bulk
| New or Updated APIs | Updated |
|---|---|
| API Endpoint (New version) | /v1.3/serverless-functions/list |
| Method | GET |
| DTD XSD Changes | No |
Sample: Fetch a List of Serverless Function in BulkSample: Fetch a List of Serverless Function in Bulk
API Request
curl -X 'GET' \
'<qualys_base_url>/csapi/v1.3/serverless-functions/list?limit=50' \
-H 'accept: application/json' \
-H 'Authorization: Bearer<token>
API Response
{
"data": [
{
"uuid": "d6bd5a08-a433-381c-8427-0b89aef4fd22",
"functionId": "6623d1d0b205ccf01fea04faaf0597296b7f8d2ed4f8a6bd4ab4b80dedf06af8",
"cloudResourceId": "/subscriptions/5a85a387-af14-4a10-bfa0-c4846979cb16/resourceGroups/arthapekshatest/providers/Microsoft.Web/sites/arth-function-vul-java",
"name": "arth-function-vul-java",
"architecture": null,
"operatingSystem": null,
"functionUrl": null,
"runtime": "java11",
"entryPoint": null,
"imageUri": null,
"imageSha": null,
"memoryAllocation": null,
"artifactSize": null,
"packageType": "Zip",
"cloudProvider": "Azure",
"cloudAccountId": "5a85a387-af14-4a10-bfa0-c4846979cb16",
"cloudRegion": "West US",
"sourceTypes": [
"COMMAND_LINE"
],
"softwareCount": 11,
"vulnerabilityCount": 73,
"riskScore": 276,
"maxQdsScore": 100,
"qdsSeverity": "CRITICAL",
"created": "1785945018893",
"updated": "1785945019143",
"lastScanned": "1785945019143",
"firstFound": "1785945018893",
"scanTypes": [
"SCA"
],
"software": [
{
"name": "log4j:log4j",
"version": "1.2.17",
"scanType": "SCA",
"packagePath": "app.jar",
"fixVersion": "2.0",
"vulnerabilities": [
{
"vulnerability": null,
"result": "#table cols=\"5\"\nPackage Installed_Version Required_Version Language Install_Path\nlog4j:log4j 1.2.17 None Java app.jar",
"lastFound": "1785945019013",
"firstFound": "1785945019013",
"severity": 5,
"customerSeverity": 5,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"risk": 50,
"category": "SCA",
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"CA-Windows Agent",
"CA-Linux Agent",
"SCA",
"CS-Windows",
"CS-Linux"
],
"product": [
"maven"
],
"vendor": [
"java"
],
"cveids": [
"CVE-2022-23307"
],
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": null,
"highLateralMovement": true,
"easyExploit": true,
"highDataLoss": true,
"noPatch": true,
"denialOfService": true,
"malware": null,
"exploitKit": null,
"publicExploitNames": null,
"malwareNames": null,
"exploitKitNames": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": true,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"qid": 986397,
"title": "Java (maven) Security Update for org.apache.logging.log4j:log4j (GHSA-f7vh-qwp3-x37m)",
"cvssInfo": {
"baseScore": "9.0",
"temporalScore": "7.7",
"accessVector": "Network"
},
"cvss3Info": {
"baseScore": "8.8",
"temporalScore": "8.1"
},
"patchAvailable": false,
"published": 1660137119000,
"scanType": [
"SCA"
],
"qdsScore": 65,
"isExempted": null,
"vendorData": null,
"software": null,
"ageInDays": null,
"fixed": null,
"os": null
}
]
}
],
"vulnerabilities": [
{
"vulnerability": null,
"result": null,
"lastFound": "1785945019014",
"firstFound": "1785945019014",
"severity": 4,
"customerSeverity": 4,
"port": null,
"typeDetected": "CONFIRMED",
"status": null,
"risk": 40,
"category": "SCA",
"discoveryType": [
"AUTHENTICATED"
],
"authType": [
"UNIX_AUTH"
],
"supportedBy": [
"CA-Windows Agent",
"CA-Linux Agent",
"SCA",
"CS-Windows",
"CS-Linux"
],
"product": [
"maven"
],
"vendor": [
"maven"
],
"cveids": [
"CVE-2025-52999"
],
"threatIntel": {
"activeAttacks": null,
"zeroDay": null,
"publicExploit": true,
"highLateralMovement": true,
"easyExploit": null,
"highDataLoss": null,
"noPatch": null,
"denialOfService": null,
"malware": null,
"exploitKit": null,
"publicExploitNames": null,
"malwareNames": null,
"exploitKitNames": null,
"wormable": null,
"predictedHighRisk": null,
"privilegeEscalation": null,
"unauthenticatedExploitation": null,
"remoteCodeExecution": null,
"ransomware": null,
"solorigateSunburst": null,
"cisaKnownExploitedVulns": null
},
"qid": 5004534,
"title": "Java (Maven) Security Update for com.fasterxml.jackson.core:jackson-core (GHSA-h46c-h94j-95f3)",
"cvssInfo": {
"baseScore": "5.4",
"temporalScore": "4.3",
"accessVector": "Adjacent Network"
},
"cvss3Info": {
"baseScore": "6.5",
"temporalScore": "5.9"
},
"patchAvailable": true,
"published": 1751293703000,
"scanType": [
"SCA"
],
"qdsScore": 42,
"isExempted": null,
"vendorData": null,
"software": [
{
"name": "com.fasterxml.jackson.core:jackson-core",
"version": "2.9.9",
"scanType": "SCA",
"packagePath": "app.jar",
"fixVersion": "2.15.0",
"vulnerabilities": null
}
],
"ageInDays": null,
"fixed": null,
"os": null
}
]
}
],
"limit": 50
}